Skip to content
Leadtime
English
Esc
navigateopen⌘Jpreview

List statuses for an object type (admin)

GET/object-types/{typeId}/statuses
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
typeIdstringrequired
Responses
200
Array of ObjectStatusDto
colorstringrequired
createdAtstringrequired
idstringrequired
namestringrequired
sortnumberrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/object-types/string/statuses" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
[
  {
    "color": "string",
    "createdAt": "string",
    "id": "string",
    "name": "string",
    "sort": 0
  }
]